mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.TripleDES Managed implementation of the Triple Data Encryption Standard (3DES), a 192 bits (168 bits effective) symmetric cipher. In Mono this class is completely implemented in managed code.
- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  System.Security.Cryptography.ICryptoTransform `` `` Secret key to be used for the decryption transform. Initialization Vector (IV) to be used by the decryption transform. Creates a symmetric TripleDES decryptor transform. a that is ready to be used to decrypt data. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Security.Cryptography.ICryptoTransform `` `` Secret key to be used for the encryption transform. Initialization Vector (IV) to be used by the encryption transform. Creates a symmetric TripleDES encryptor transform. a that is ready to be used to encrypt data. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void Generate a new random Initialization Vector (IV) required for some block cipher modes.

  The IV is used for most of operation (except ). The value can be made public and must be available when decrypting the data.

  IMPORTANT: If you reuse the same TripleDES object for multiple encryption using the same key it is CAPITAL that you use a different IV each time.

  `TripleDES tdes = TripleDES.Create (); tdes.GenerateKey (); foreach (string file in files) { // each file MUST be encrypted with a different IV tdes.GenerateIV (); // encrypt the specified file with our TripleDES key EncryptFile (file, tdes); }` 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added. To be added. 1.0.5000.0 2.0.0.0
System.Runtime.InteropServices.ComVisible(true)